* ------------------------------------------------------------------------------
* Presidential rankings and inflation performance
* ------------------------------------------------------------------------------

cls
capture restore
set more off

global mystart `"C:\Users\z3504163"'
* Directory to save output
cd "${mystart}/Dropbox/Inflation Expectations/Macroeconomic data/US"

* ------------------------------------------------------------------------------
* Load and organise data
* ------------------------------------------------------------------------------

* Load rankings
import excel using "${mystart}/Dropbox/Inflation Expectations/Macroeconomic data/US/Rankings.xlsx", sheet("Rankings") cellrange(A2:C45) firstrow clear
save presidents.dta, replace

* Load other data
import excel using "${mystart}/Dropbox/Inflation Expectations/Macroeconomic data/US/Inflation measures.xls", sheet("Quarterly") cellrange(B1:L282) firstrow clear
gen year = year(date)
gen month = month(date)
gen quarter = 1 if month==3
replace quarter = 2 if month==6
replace quarter = 3 if month==9
replace quarter = 4 if month==12
gen date_q = yq(year,quarter)
format date_q %tq
order date_q
drop year month quarter date

* Merge data
merge m:1 President using presidents.dta
keep if _merge==3
drop _merge
sort date_q
*erase presidents.dta

* Declare time series
tsset date_q
gen Score_execon=Score-Econ
egen Score_std=std(Score_execon), mean(0) std(1)
*gen Score_std=Score_std1/100

gen UR_gap = UR-NROU

local measures "GDPDEF PCECTPI CPIAUCSL CPILFENS PCEPILFE"

foreach x of local measures {
 gen l`x'=log(`x')
 gen dl`x'=D.l`x'
 gen dl`x'_ann=dl`x'*400
 ivregress gmm dl`x'_ann L.dl`x'_ann Score_std, wmatrix(hac nw 5)
 outreg2 using Quality_appendix.xls, append ctitle(dl`x')  dec(4) addtext(No)
 }

